package com.hzs.common.core.enums;

import com.hzs.common.core.constant.EnumsPrefixConstants;
import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * 区域类型枚举
 */
@AllArgsConstructor
@Getter
public enum ERegionType {

    /**
     * 1=州
     */
    CONTINENT(1, "州", 0, EnumsPrefixConstants.EREGION_TYPE + "1"),
    /**
     * 2=国家
     */
    COUNTRY(2, "国家", 0, EnumsPrefixConstants.EREGION_TYPE + "2"),
    /**
     * 3=区域
     */
    REGION(3, "区域", 0, EnumsPrefixConstants.EREGION_TYPE + "3"),
    /**
     * 4=省
     */
    PROVINCE(4, "省", 0, EnumsPrefixConstants.EREGION_TYPE + "4"),


    ;

    /**
     * 实际值
     */
    private final int value;
    /**
     * 显示标签
     */
    private final String label;
    /**
     * 是否启用（0=是,1=否） -- 来源EYesNo
     */
    private final int enable;
    /**
     * 国际化翻译key值
     */
    private final String key;


    /**
     * 根据枚举值获取枚举
     *
     * @param value 枚举值
     * @return
     */
    public static ERegionType getEnumByValue(int value) {
        for (ERegionType eApproveStatus : ERegionType.values()) {
            if (eApproveStatus.getValue() == value) {
                return eApproveStatus;
            }
        }
        return null;
    }

}
